Index: /extensions/UserAdvManager/trunk/admin/UAM_admin.php
===================================================================
--- /extensions/UserAdvManager/trunk/admin/UAM_admin.php	(revision 21074)
+++ /extensions/UserAdvManager/trunk/admin/UAM_admin.php	(revision 21075)
@@ -885,5 +881,5 @@
   $conf_UAM_ConfirmMail = unserialize($conf['UserAdvManager_ConfirmMail']);
 	
-  if (isset($conf_UAM[1]) and ($conf_UAM[1]=='true' or $conf_UAM[1]=='local'))
+  if (isset($conf_UAM['CONFIRM_MAIL']) and ($conf_UAM['CONFIRM_MAIL']=='true' or $conf_UAM['CONFIRM_MAIL']=='local'))
   {
 // +-----------------------------------------------------------------------+
@@ -1351,7 +1347,7 @@
     $Confirm_Local = "";
     
-    if ($conf_UAM[1] == 'local')
-    {
-      $Confirm_Local = $conf_UAM[1];
+    if ($conf_UAM['CONFIRM_MAIL'] == 'local')
+    {
+      $Confirm_Local = $conf_UAM['CONFIRM_MAIL'];
     }
     else
@@ -1404,5 +1400,5 @@
   $conf_UAM = unserialize($conf['UserAdvManager']);
 	
-  if (isset($conf_UAM[16]) and $conf_UAM[15]=='true')
+  if (isset($conf_UAM['GHOSTRACKER_DAYLIMIT']) and $conf_UAM['GHOSTRACKER']=='true')
   {
 // +-----------------------------------------------------------------------+
Index: /extensions/UserAdvManager/trunk/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/trunk/changelog.txt.php	(revision 21074)
+++ /extensions/UserAdvManager/trunk/changelog.txt.php	(revision 21075)
@@ -376,4 +376,11 @@
             Update tr_TR, thanks to : hakanselcuk
 
+-- 2.50.0 : Compliance with Piwigo 2.5
+            Bug 2764 fixed - Code refactory : Change config variables to assoc array and $_POST vars control before writing conf in database - Thx to flop25 for his advices ;-)
+            Update fr_FR
+            Update de_DE, thanks to : stephy
+            Update tr_TR, thanks to : hakanselcuk and LazBoy
+            Update it_IT, thanks to : Ericnet
+            
 */
 ?>
